Bug 846166 - [feature] We're missing App Status and App Cartridge Status REST APIs in comparison to CLI
[feature] We're missing App Status and App Cartridge Status REST APIs in comp...
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 21:50 EDT by Nam Duong
Modified: 2015-05-14 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 08:30:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-08-06 21:50:58 EDT
Description of problem:
As per http://docs.redhat.com/docs/en-US/OpenShift/2.0/html/REST_API_Guide/index.html, we don't have REST APIs for App status, and App Cartridge status.

This came up as a result of a comment on the forums/KB:  https://openshift.redhat.com/community/kb/kb-e1055-how-to-restart-an-application
Comment 1 Xiaoli Tian 2012-08-08 07:09:27 EDT
Hi, Nam

We could check status like this:

 curl -k -H "Accept: application/json" --user "xtian+test1@redhat.com:****"  https://stg.openshift.redhat.com/broker/rest/domains/domstage1/applications/phpapp1/gear_groups , there's a state value in the gears, not sure if this is what you or user wants
{
    "data": [
        {
            "cartridges": [
                {
                    "name": "php-5.3"
                }
            ], 
            "gear_profile": "small", 
            "gears": [
                {
                    "id": "b1b25db0965645168d88588862d66deb", 
                    "state": "started"
                }
            ], 
            "name": "@@app/cart-php-5.3"
        }
    ], 
    "messages": [], 
    "status": "ok", 
    "supported_api_versions": [
        1.0, 
        1.1
    ], 
    "type": "gear_groups", 
    "version": "1.1"
}
Comment 2 Lili Nader 2012-08-15 16:06:18 EDT
added user story

https://rally1.rallydev.com/#/4670514611d/detail/userstory/7530370529
Comment 3 Xiaoli Tian 2012-08-16 08:30:39 EDT
(In reply to comment #2)
> added user story
> 
> https://rally1.rallydev.com/#/4670514611d/detail/userstory/7530370529

Let's close this bug as upstream to let the user story to track it
Comment 4 Andre Dietisheim 2012-08-31 18:31:00 EDT
How is this related to https://issues.jboss.org/browse/JBIDE-11881 (which the curl above is referring to)?
Comment 5 Andre Dietisheim 2012-08-31 18:32:10 EDT
Sorry, wrong pasted issue: 
How is this related to https://bugzilla.redhat.com/show_bug.cgi?id=805989 (which the curl above is referring to)?

Note You need to log in before you can comment on or make changes to this bug.